### Function

# Gimp ValueArray new_from_values

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_new_from_values (
      const GValue* values,
      gint n_values
    )

#### Description [src]

Allocate and initialize a new `GimpValueArray`, and fill it with the given `GValues`. When no `GValues` are given, returns empty `GimpValueArray`.

Available since: | 3.0

#### Parameters

`values` | An array of `GValue`
| The `GValue` elements.
| The length of the array is specified in the `n_values` argument.
| The data is owned by the caller of the function.
`n_values` | `gint`
| The number of value elements.

#### Return value

Returns: | `GimpValueArray`
| A newly allocated `GimpValueArray`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.